Skip to main content
GET
List all account bank withdrawals

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

accountId
string

Identifier of the account. Filters results to fetch only resources associated with the specified account.

Example:

"1000565227"

status
enum<string>[]

Queries items with the specified status. Matches any status if unspecified.

Status of the payout. Status pending indicates that the payout is in process; complete indicates it finished successfully; failed indicates it failed.

Available options:
pending,
complete,
failed
from
string

Queries items created since the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

to
string

Queries items created before the specified date-time (inclusive) in ISO 8601 format. ISO-8601 UTC date/time format.

Example:

"2020-04-10T02:13:30.000Z"

pageBefore
string

A collection ID value used for pagination. It marks the exclusive end of a page. When provided, the collection resource will return the next n items before the id, with n being specified by pageSize.

Example:

"def9520a-5280-4089-9b02-3c9ef8fc8514"

pageAfter
string

A collection ID value used for pagination. It marks the exclusive beginning of a page. When provided, the collection resource will return the next n items after the id, with n being specified by pageSize.

Example:

"bce1e961-bdb8-4983-a9c2-0b3fbc2614cf"

pageSize
integer
default:50

Limits the number of items to be returned. Must be between 1 and 200. A value above 200 returns a 400 error; it is not clamped. If omitted, defaults to 50.

Required range: 1 <= x <= 200
Example:

5

Response

Successfully retrieved a list of withdrawals.

data
object[]